Bug 60738 - grip crashes while ripping
grip crashes while ripping
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: grip (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-05 14:51 EST by Geoff Keating
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 18:09:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoff Keating 2002-03-05 14:51:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.9-12 i586)

Description of problem:
Sometimes, while ripping CDs, grip will crash.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Start grip
2. Insert CD; click on 'Rip' heading item to check all tracks; click 
   on 'Rip' tab; click on 'Rip+Encode' button.
3. Wait for all tracks to be ripped from CD
4. Repeat steps 2 and 3.

Actual Results:  Core dump.

Expected Results:  Successful completion.

Additional info:

This is the backtrace from the core file:

#0  0x4038d20f in memcpy (dstpp=0x24c0, srcpp=0x81a5b7c, len=30576)
    at ../sysdeps/generic/memcpy.c:55
#1  0x0806df40 in scsi_read_mmc3 ()
#2  0x0806bef0 in scsi_enable_cdda ()
#3  0x0806dda4 in scsi_read_mmc3 ()
#4  0x0806a49e in cdda_read ()
#5  0x080735bf in i_read_c_block ()
#6  0x08073a18 in paranoia_read ()
#7  0x08061a98 in CDPRip ()
#8  0x0805f127 in ThreadRip ()
#9  0x402f8f87 in pthread_start_thread (arg=0xb81ffc00) at manager.c:284
Comment 1 Bill Nottingham 2005-02-04 18:09:31 EST
grip is no longer shipped in the development tree; as such, it is unlikely older
bugs will be fixed.

Note You need to log in before you can comment on or make changes to this bug.